ShowUserStatisticAction (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-14

org.gcube.portal.databook.shared

## Enum ShowUserStatisticAction

- java.lang.Object
- - java.lang.Enum<ShowUserStatisticAction>
  - - org.gcube.portal.databook.shared.ShowUserStatisticAction

- All Implemented Interfaces:
    Serializable, Comparable<ShowUserStatisticAction>

      public enum ShowUserStatisticAction
      extends Enum<ShowUserStatisticAction>

  Enum class that specify the possible actions to take when the GCubeSocialNetworking.SHOW_STATISTICS_ACTION_OID parameter is found in the page url
  Author:
    Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMENTS_GOT_BY_USER`
    `COMMENTS_MADE_BY_USER`
    `LIKES_GOT_BY_USER`
    `LIKES_MADE_BY_USER`
    `POSTS_MADE_BY_USER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHumanFriendlyAction()`
    `static ShowUserStatisticAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ShowUserStatisticAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POSTS_MADE_BY_USER

          public static final ShowUserStatisticAction POSTS_MADE_BY_USER

    - #### LIKES_MADE_BY_USER

          public static final ShowUserStatisticAction LIKES_MADE_BY_USER

    - #### COMMENTS_MADE_BY_USER

          public static final ShowUserStatisticAction COMMENTS_MADE_BY_USER

    - #### LIKES_GOT_BY_USER

          public static final ShowUserStatisticAction LIKES_GOT_BY_USER

    - #### COMMENTS_GOT_BY_USER

          public static final ShowUserStatisticAction COMMENTS_GOT_BY_USER

  - ### Method Detail

    - #### values

          public static ShowUserStatisticAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShowUserStatisticAction c : ShowUserStatisticAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShowUserStatisticAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getHumanFriendlyAction

          public String getHumanFriendlyAction()

Copyright © 2017. All Rights Reserved.